<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/expansionuimanager.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/de6/expansionuimanager_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionuimanager.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/de6/expansionuimanager_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionUIManager.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d22/class_expansion_u_i_manager.html">ExpansionUIManager</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">   15</a></span>    <span class="keyword">private</span> ref <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">   16</a></span>    <span class="keyword">private</span> ref map&lt;string, ExpansionScriptViewMenuBase&gt; <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#acda79f37bfb9c87da39650b7f1ac665d">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#acda79f37bfb9c87da39650b7f1ac665d">ExpansionUIManager</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {   </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a> = NULL;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a> = <span class="keyword">new</span> map&lt;string, ExpansionScriptViewMenuBase&gt;;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#a9d2689b8b61e126ee9f5910ed00cfb3f">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#a9d2689b8b61e126ee9f5910ed00cfb3f">SetMenu</a>(<a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> view)</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keyword">delete</span> <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a> = view;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#a53e9126bb47ccafb5f465e7e6676839c">   32</a></span>    <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#a53e9126bb47ccafb5f465e7e6676839c">GetMenu</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#a83a0ca7cd985109ffcfeb5df1e2e1845">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#a83a0ca7cd985109ffcfeb5df1e2e1845">CloseMenu</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>)</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>.<a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#a98a6fb4badf5326e211249ad9793a686">IsVisible</a>())</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>.<a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#a315b65a3c0388cae2306012968e8c4c7">Hide</a>();</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            Print(<span class="stringliteral">&quot;[EXPANSION UI MANAGER]: Removing menu &quot;</span> + <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a> + <span class="stringliteral">&quot; from UI manager.&quot;</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#af2f6c0995f752e28cabc63863b2b5258">DestroySVMenu</a>(<a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">m_CurrentMenu</a> = NULL;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#af29f6e20bd3a248401d6768d5386b24c">   50</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#af29f6e20bd3a248401d6768d5386b24c">CloseAll</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">foreach</span> (<a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> menu: <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            <span class="keywordflow">if</span> (menu.IsVisible())</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                menu.Hide();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keyword">delete</span> menu;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    }</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#a449724576ba0b32af725f7c8c87bcb37">   61</a></span>    <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#a449724576ba0b32af725f7c8c87bcb37">CreateSVMenu</a>(<span class="keywordtype">string</span> viewName)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> viewMenu;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>.Find(viewName, viewMenu))</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            <span class="keyword">delete</span> viewMenu;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        viewMenu = <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#ab3ff2b61f539c61a77432c9ba1477434">CreateMenuInstance</a>(viewName);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span> </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> (viewMenu)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#a9d2689b8b61e126ee9f5910ed00cfb3f">SetMenu</a>(viewMenu);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>.Insert(viewName, viewMenu);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            viewMenu.<a class="code hl_function" href="../../db/db9/class_expansion_script_view_menu_base.html#abce4ad8e04b37531827927356de1f2aa">Show</a>();</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            Print(<span class="stringliteral">&quot;[EXPANSION UI MANAGER]: Created menu &quot;</span> + viewMenu + <span class="stringliteral">&quot;.&quot;</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        <span class="keywordflow">return</span> viewMenu;</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#af2f6c0995f752e28cabc63863b2b5258">   80</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#af2f6c0995f752e28cabc63863b2b5258">DestroySVMenu</a>(<a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> menu, <span class="keywordtype">bool</span> doDelete = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> viewMenu;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>.Find(menu.ClassName(), viewMenu))</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>.Remove(menu.ClassName());</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            <span class="keywordflow">if</span> (doDelete)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                <span class="keyword">delete</span> viewMenu;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#a935022ec9207f154bda837ba619315cb">   91</a></span>    map&lt;string, ExpansionScriptViewMenuBase&gt; <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#a935022ec9207f154bda837ba619315cb">GetActiveMenus</a>()</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">m_ActiveMenus</a>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d0/d22/class_expansion_u_i_manager.html#ab3ff2b61f539c61a77432c9ba1477434">   96</a></span>    <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a> <a class="code hl_function" href="../../d0/d22/class_expansion_u_i_manager.html#ab3ff2b61f539c61a77432c9ba1477434">CreateMenuInstance</a>(<span class="keywordtype">string</span> className)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a>.Cast(className.ToType().Spawn());</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>};</div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html">ExpansionScriptViewMenuBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/expansionscriptviewmenubase_8c_source.html#l00013">expansionscriptviewmenubase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html_a315b65a3c0388cae2306012968e8c4c7"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html#a315b65a3c0388cae2306012968e8c4c7">ExpansionScriptViewMenuBase::Hide</a></div><div class="ttdeci">void Hide()</div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html_a98a6fb4badf5326e211249ad9793a686"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html#a98a6fb4badf5326e211249ad9793a686">ExpansionScriptViewMenuBase::IsVisible</a></div><div class="ttdeci">bool IsVisible()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d97/expansionscriptviewmenubase_8c_source.html#l00027">expansionscriptviewmenubase.c:27</a></div></div>
<div class="ttc" id="aclass_expansion_script_view_menu_base_html_abce4ad8e04b37531827927356de1f2aa"><div class="ttname"><a href="../../db/db9/class_expansion_script_view_menu_base.html#abce4ad8e04b37531827927356de1f2aa">ExpansionScriptViewMenuBase::Show</a></div><div class="ttdeci">void Show()</div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html">ExpansionUIManager</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00013">expansionuimanager.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_a245741a343a8b69c22df7485fac0ce75"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#a245741a343a8b69c22df7485fac0ce75">ExpansionUIManager::m_CurrentMenu</a></div><div class="ttdeci">private ref ExpansionScriptViewMenuBase m_CurrentMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00015">expansionuimanager.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_a449724576ba0b32af725f7c8c87bcb37"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#a449724576ba0b32af725f7c8c87bcb37">ExpansionUIManager::CreateSVMenu</a></div><div class="ttdeci">ExpansionScriptViewMenuBase CreateSVMenu(string viewName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00061">expansionuimanager.c:61</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_a53e9126bb47ccafb5f465e7e6676839c"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#a53e9126bb47ccafb5f465e7e6676839c">ExpansionUIManager::GetMenu</a></div><div class="ttdeci">ExpansionScriptViewMenuBase GetMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00032">expansionuimanager.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_a83a0ca7cd985109ffcfeb5df1e2e1845"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#a83a0ca7cd985109ffcfeb5df1e2e1845">ExpansionUIManager::CloseMenu</a></div><div class="ttdeci">void CloseMenu()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00037">expansionuimanager.c:37</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_a935022ec9207f154bda837ba619315cb"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#a935022ec9207f154bda837ba619315cb">ExpansionUIManager::GetActiveMenus</a></div><div class="ttdeci">map&lt; string, ExpansionScriptViewMenuBase &gt; GetActiveMenus()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00091">expansionuimanager.c:91</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_a9d2689b8b61e126ee9f5910ed00cfb3f"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#a9d2689b8b61e126ee9f5910ed00cfb3f">ExpansionUIManager::SetMenu</a></div><div class="ttdeci">void SetMenu(ExpansionScriptViewMenuBase view)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00024">expansionuimanager.c:24</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_ab3ff2b61f539c61a77432c9ba1477434"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#ab3ff2b61f539c61a77432c9ba1477434">ExpansionUIManager::CreateMenuInstance</a></div><div class="ttdeci">ExpansionScriptViewMenuBase CreateMenuInstance(string className)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00096">expansionuimanager.c:96</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_acda79f37bfb9c87da39650b7f1ac665d"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#acda79f37bfb9c87da39650b7f1ac665d">ExpansionUIManager::ExpansionUIManager</a></div><div class="ttdeci">void ExpansionUIManager()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00018">expansionuimanager.c:18</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_acf29a80caafab9cfde1e31304e2ed17f"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#acf29a80caafab9cfde1e31304e2ed17f">ExpansionUIManager::m_ActiveMenus</a></div><div class="ttdeci">private ref map&lt; string, ExpansionScriptViewMenuBase &gt; m_ActiveMenus</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00016">expansionuimanager.c:16</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_af29f6e20bd3a248401d6768d5386b24c"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#af29f6e20bd3a248401d6768d5386b24c">ExpansionUIManager::CloseAll</a></div><div class="ttdeci">void CloseAll()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00050">expansionuimanager.c:50</a></div></div>
<div class="ttc" id="aclass_expansion_u_i_manager_html_af2f6c0995f752e28cabc63863b2b5258"><div class="ttname"><a href="../../d0/d22/class_expansion_u_i_manager.html#af2f6c0995f752e28cabc63863b2b5258">ExpansionUIManager::DestroySVMenu</a></div><div class="ttdeci">void DestroySVMenu(ExpansionScriptViewMenuBase menu, bool doDelete=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/de6/expansionuimanager_8c_source.html#l00080">expansionuimanager.c:80</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dd/de6/expansionuimanager_8c.html">expansionuimanager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
